## python-omegaconf 2.2.2

=== debian/changelog ===
python-omegaconf (2.2.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Support Python 3.11. (Closes: #1025111)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 25 Dec 2022 12:42:17 -0400

python-omegaconf (2.2.2-2) unstable; urgency=medium

  * Fixed VCS URLs (Closes: #1016890).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Oct 2022 12:24:04 +0200

python-omegaconf (2.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Run unit tests at build time.
  * Add autopkgtest.
  * Do not package /usr/lib/python3/dist-packages/pydevd_plugins/__init__.py
    already in pydevd (Closes: #1016510).

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Aug 2022 17:45:50 +0200

python-omegaconf (2.1.0~rc1-3) unstable; urgency=medium

  * Defines http_proxy=127.0.0.1:9 to avoid internet trafic.
  * Add python3-pytest-runner as build-depends (Closes: #1011139).

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 May 2022 10:45:28 +0200

python-omegaconf (2.1.0~rc1-2) unstable; urgency=medium

  * Reupload source-only.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Aug 2021 20:47:41 +0200

python-omegaconf (2.1.0~rc1-1) unstable; urgency=medium

  * Initial release. (Closes: #988840)

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 May 2021 11:56:18 +0200
