=== debian/control ===
Source: python-omegaconf
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 default-jre,
 python3-antlr4,
 python3-pydevd,
 python3-pytest,
 python3-pytest-runner,
 python3-pytest-mock,
 python3-yaml,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-omegaconf
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-omegaconf.git
Homepage: https://github.com/omry/omegaconf

Package: python3-omegaconf
Architecture: all
Depends:
 python3-antlr4,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: hierarchical configuration from multiple sources
 OmegaConf is a hierarchical configuration system, with support for merging
 configurations from multiple sources (YAML config files, dataclasses/objects
 and CLI arguments) providing a consistent API regardless of how the
 configuration was created.
