## python-omegaconf 2.3.0

=== debian/changelog ===
python-omegaconf (2.3.0-3) unstable; urgency=medium

  * Blacklist broken tests (Closes: #1092523).

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Jan 2025 10:29:23 +0100

python-omegaconf (2.3.0-2) unstable; urgency=medium

  * Add --ignore tests/test_pydev_resolver_plugin.py in d/tests/unittests.
    (Closes: #1089049).
  * Switch to pybuild (Closes: #1090545).
  * Blacklist a few tests in d/tests/unittests.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Dec 2024 15:15:23 +0100

python-omegaconf (2.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove build-dependency on python3-pydevd and related test (closes:
    #1077312)

 -- Julian Gilbey <jdg@debian.org>  Wed, 06 Nov 2024 19:57:27 +0000

python-omegaconf (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Add missing (build-)depends python3-attr (Closes: #1042251).
  * Add --disable-warnings --disable-warnings -p no:warnings when running
    tests, as the package FTBFS otherwise.
  * Add disable-broken-test.patch.
  * Add d/rules patch from Vagrant Cascadian for build reproducibility
    (Closes: #1020723).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 May 2024 07:53:22 +0200
