=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
 Build-Depends-Indep:
  default-jre,
  python3-antlr4,
- python3-pydevd,
+ python3-attr,
  python3-pytest,
+ python3-pytest-mock,
  python3-pytest-runner,
- python3-pytest-mock,
  python3-yaml,
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-omegaconf
@@ -27,6 +27,7 @@
 Architecture: all
 Depends:
  python3-antlr4,
+ python3-attr,
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
